Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.vecmath
Class CutConeParameter

    java.lang.Object
      de.grogra.vecmath.FunctionParameter
          de.grogra.vecmath.CutConeParameter

    public class CutConeParameter

extends FunctionParameter

A special parameter-class for the cutCone-function in the Math2-class.

Author:
  Jan D�rer

Constructor Summary
`CutConeParameter()` Standardconstructor initialized the attributes with 0.0f
`CutConeParameter(boolean correct, boolean exists, float lowLim, float upLim, float a)` Specialconstructor to initialized the attributes with custom-values

Method Summary
`float` | `getA()` Getter for the parameter
`float` | `getLowLim()` Getter for the lower limit parameter
`float` | `getUpLim()` Getter for the upper limit parameter
`void` | `setA(float a)` Setter for the parameter
`void` | `setLowLim(float lowLim)` Setter for the lower limit parameter
`void` | `setUpLim(float upLim)` Setter for the lower limit parameter

Methods inherited from class de.grogra.vecmath.FunctionParameter
`isCorrect, isExists, setCorrect, setExists`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CutConeParameter

    public CutConeParameter()

  Standardconstructor initialized the attributes with 0.0f

### CutConeParameter

    public CutConeParameter(boolean correct,
                            boolean exists,
                            float lowLim,
                            float upLim,
                            float a)

  Specialconstructor to initialized the attributes with custom-values

  Parameters:
    `correct` - The function works correct
    `exists` - Values exists after running a function
    `lowLim` - Lower limit
    `upLim` - Upper limit
    `a` - Parameter

Method Detail

### getA

    public float getA()

  Getter for the parameter

  Returns:
    Parameter

### getLowLim

    public float getLowLim()

  Getter for the lower limit parameter

  Returns:
    The lower limit parameter

### getUpLim

    public float getUpLim()

  Getter for the upper limit parameter

  Returns:
    The upper limit parameter

### setA

    public void setA(float a)

  Setter for the parameter

  Parameters:
    `a` - Parameter

### setLowLim

    public void setLowLim(float lowLim)

  Setter for the lower limit parameter

  Parameters:
    `lowLim` - The new lower limit

### setUpLim

    public void setUpLim(float upLim)

  Setter for the lower limit parameter

  Parameters:
    `upLim` - The new upper limit

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD